### Class

# WPEPlatform Buffer

#### Description

    abstract class WPEPlatform.Buffer : GObject.Object
    {
      WPEBufferPrivate* priv
    }

No description available.

#### Ancestors

- GObject

#### Descendants

- WPEBufferDMABuf
- WPEBufferSHM

#### Instance methods

###### wpe_buffer_get_height

Get the `buffer` height.

###### wpe_buffer_get_user_data

Get user data previously set with wpe_buffer_set_user_data.

###### wpe_buffer_get_view

Get the `WPEView` of `buffer`.

###### wpe_buffer_get_width

Get the `buffer` width.

###### wpe_buffer_import_to_egl_image

Import `buffer` into a EGL image.

###### wpe_buffer_import_to_pixels

Import `buffer` into a pixels buffer.

###### wpe_buffer_set_user_data

Set `user_data` to `buffer`. When `buffer` is destroyed `destroy_func` is called with `user_data`.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### WPEPlatform.Buffer:height

The buffer height.

###### WPEPlatform.Buffer:view

The `WPEView` of the buffer.

###### WPEPlatform.Buffer:width

The buffer width.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct WPEPlatformBufferClass {
      GObjectClass parent_class;
      gpointer (* import_to_egl_image) (
        WPEBuffer* buffer,
        GError** error
      );
      GBytes* (* import_to_pixels) (
        WPEBuffer* buffer,
        GError** error
      );
      gpointer padding;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.

`import_to_egl_image: gpointer (* import_to_egl_image) ( WPEBuffer* buffer, GError** error )`

  No description available.

`import_to_pixels: GBytes* (* import_to_pixels) ( WPEBuffer* buffer, GError** error )`

  No description available.

`padding: gpointer`

  No description available.

#### Virtual methods

###### WPEPlatform.BufferClass.import_to_egl_image

Import `buffer` into a EGL image.

###### WPEPlatform.BufferClass.import_to_pixels

Import `buffer` into a pixels buffer.